using Level;
using TMPro;
using UnityEngine;

namespace UI
{
    public class LevelButton : MonoBehaviour
    {
        private TMP_Text text = null;

        private void Awake() => text = GetComponentInChildren<TMP_Text>();

        public void SetLevel(string levelName) => text.text = levelName;
        public void StartLevel() => LevelManager.Instance.SwitchToLevel(text.text);
    }
}
